Skip to main content
GET
/
api
/
v1
/
auth
/
users
List users (paginated)
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "email": "tigger.germain@gmail.com",
    "phone_number": "+254723453286",
    "first_name": "Tigger",
    "last_name": "Germain",
    "role": "vendor",
    "kyc_status": "pending"
  },
  {
    "id": "7a4301b0-e04b-4102-a999-b17dada65509",
    "email": "loice.juma@gmail.com",
    "phone_number": "+254723453285",
    "first_name": "Loice",
    "last_name": "Juma",
    "role": "vendor",
    "kyc_status": "pending"
  },
  {
    "id": "b523ed51-a7e0-4c53-8ac2-3c0b7e1c9cd5",
    "email": "thando.eli@gmail.com",
    "phone_number": "+254723453282",
    "first_name": "Thando",
    "last_name": "Eli",
    "role": "customer",
    "kyc_status": "pending"
  },
  {
    "id": "8d09359f-325a-4ecf-998d-dbe5eda3a498",
    "email": "mike.juma@gmail.com",
    "phone_number": "+254723453284",
    "first_name": "Mike",
    "last_name": "Juma",
    "role": "customer",
    "kyc_status": "pending"
  },
  {
    "id": "2b06d31b-bb17-4392-b639-ae75b97d86e6",
    "email": "john.oganda@gmail.com",
    "phone_number": "+254723453283",
    "first_name": "John",
    "last_name": "Oganda",
    "role": "customer",
    "kyc_status": "pending"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_id
integer
required

Page number (1-based).

Required range: x >= 1
page_size
integer
required

Page size (between 5 and 10).

Required range: 5 <= x <= 10

Response

200 - application/json

List of users

id
string<uuid>

User ID.

email
string<email>

User email.

phone_number
string

Phone in E.164 format.

first_name
string

Given name.

last_name
string

Family name.

role
string

Assigned role.

kyc_status
string

Current KYC status.